<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.CompilationResult Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html">CompilationResult</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.CompilationResult Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Contains the result of the <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html" title="Generates CodeFiles from the xAPI definitions">CodeGenerator</a>'s compile method  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for xAPI_Definitions_Parser.Code.CompilationResult:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result__inherit__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_compilation_result_inherit__map" alt="Inheritance graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_compilation_result_inherit__map" id="ax_a_p_i___definitions___parser_8_code_8_compilation_result_inherit__map">
<area shape="rect" title="Contains the result of the CodeGenerator&#39;s compile method" alt="" coords="5,93,172,134"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html" title=" " alt="" coords="236,5,451,61"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_compilation_result.html" title=" " alt="" coords="220,85,467,141"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_result.html" title=" " alt="" coords="238,165,449,221"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa053f60d45dd9f27a233ff114d6fb926"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html#aa053f60d45dd9f27a233ff114d6fb926">CompilationResult</a> (bool success)</td></tr>
<tr class="separator:aa053f60d45dd9f27a233ff114d6fb926"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a495204a5f8c8aae9bd5785d7d17a171d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html#a495204a5f8c8aae9bd5785d7d17a171d">Success</a><code> [get]</code></td></tr>
<tr class="memdesc:a495204a5f8c8aae9bd5785d7d17a171d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Was the compilation successful or not  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html#a495204a5f8c8aae9bd5785d7d17a171d">More...</a><br /></td></tr>
<tr class="separator:a495204a5f8c8aae9bd5785d7d17a171d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Contains the result of the <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html" title="Generates CodeFiles from the xAPI definitions">CodeGenerator</a>'s compile method </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa053f60d45dd9f27a233ff114d6fb926" name="aa053f60d45dd9f27a233ff114d6fb926"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa053f60d45dd9f27a233ff114d6fb926">&#9670;&nbsp;</a></span>CompilationResult()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.CompilationResult.CompilationResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>success</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a495204a5f8c8aae9bd5785d7d17a171d" name="a495204a5f8c8aae9bd5785d7d17a171d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a495204a5f8c8aae9bd5785d7d17a171d">&#9670;&nbsp;</a></span>Success</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.Code.CompilationResult.Success</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Was the compilation successful or not </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/<a class="el" href="_compilation_result_8cs.html">CompilationResult.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
